Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXmlReader

    biouml.model.util.DiagramXmlConstants
      |
      +--biouml.model.util.DiagramXmlSupport
            |
            +--biouml.model.util.DiagramXmlReader

public class DiagramXmlReader
extends DiagramXmlSupport

pending store DiagramInfo as a compoent.

Fields inherited from class biouml.model.util.DiagramXmlConstants
`AFTER_ATTR, AFTER_ELEMENT, APPVERSION_ATTR, ASSIGNMENT_ELEMENT, BACKGROUND_COLOR_ATTR, BACKGROUND_VISIBLE_ATTR, BOUNDARY_CONDITION_ATTR, COLOR_ATTR, COMMENT_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_INFO_ELEMENT, COMPLETION_TIME_ATTR, DELAY_ATTR, DELAY_UNIT_ATTR, DIAGRAM_ELEMENT, DIAGRAM_ELEMENT_ATTR, DIAGRAM_INFO_ELEMENT, DIAGRAM_TYPE_ATTR, DML_ELEMENT, EDGE_ELEMENT, EDGES_ELEMENT, EQUATION_ELEMENT, EQUATION_TYPE_ATTR, EQUIVALENTNODEGROUP_ELEMENT, EVENT_ELEMENT, EXECUTABLE_MODEL_ELEMENT, FORMULA_ATTR, HEIGHT_ATTR, HIDE_TITLE_ATTTR, ID_ATTR, IMAGE_ELEMENT, IN_REF_ATTR, INITIAL_TIME_ATTR, INITIAL_VALUE_ATTR, INPORT_ATTR, KERNEL_REF_ATTR, KERNEL_TYPE_ATTR, MODEL_CLASS_ATTR, NAME_ATTR, NODE_ELEMENT, NODES_ELEMENT, ON_EVENT_ELEMENT, OUT_REF_ATTR, OUTPORT_ATTR, PARAMETER_ELEMENT, PLOT_LINE_SPEC_ATTR, REPRESENTATIVE_ATTR, SHAPE_ATTR, SHOW_IN_PLOT_ATTR, SRC_ATTR, STATE_ELEMENT, STATE_ENTRY_ELEMENT, STATE_EXIT_ELEMENT, STATE_ON_EVENT_ELEMENT, STUB, TITLE_ATTR, TRANSITION_ELEMENT, TRIGGER_ATTR, UNITS_ATTR, UNKNOWN_VALUE, VALUE_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VERSION_ATTR, WHEN_ELEMENT, WIDTH_ATTR, X_ATTR, Y_ATTR`

Constructor Summary
`DiagramXmlReader(File inFile)` This constructor is used to read diagram from file.
`DiagramXmlReader(String name, InputStream stream, DiagramInfo diagramInfo)` This constructor is used to read diagram from stream and can be used to read diagram from relational database (TEXT or BLOB).

Method Summary
`Diagram` | `read()`
`Diagram` | `read(DataCollection origin, Module module)`
`static void` | `readCompartmentInfo(Element element, Compartment compartment, String diagramName)`
`static void` | `readEdgeInfo(Element element, Edge edge, String diagramName)`
`static void` | `readNodeInfo(Element element, Node node, String diagramName)`

Methods inherited from class biouml.model.util.DiagramXmlSupport
`getElement`

Constructor Detail

### DiagramXmlReader

    public DiagramXmlReader(File inFile)
                       throws java.io.FileNotFoundException

  This constructor is used to read diagram from file.

### DiagramXmlReader

    public DiagramXmlReader(String name, InputStream stream, DiagramInfo diagramInfo)

  This constructor is used to read diagram from stream and can be used to read diagram from relational database (TEXT or BLOB).
  Parameters:
    name - diagram name
    stream - stream that contains diagram XML
    info - DiagramInfo can be stored as separated record in relational databases, so if info is specified, it willbe used instead of DiagramInfo stored in XML.

Method Detail

### read

    public Diagram read()
                  throws java.lang.Exception

### read

    public Diagram read(DataCollection origin, Module module)
                  throws java.lang.Exception

### readCompartmentInfo

    public static void readCompartmentInfo(Element element, Compartment compartment, String diagramName)

  Parameters:
    node - 'compartmentInfo' element.
    compartment - Compartment to which information will be applied.
  pending error processing

### readEdgeInfo

    public static void readEdgeInfo(Element element, Edge edge, String diagramName)

### readNodeInfo

    public static void readNodeInfo(Element element, Node node, String diagramName)

Association Links

to Class java.lang.ClassLoader

to Class biouml.model.Module

to Class java.io.InputStream

to Class biouml.standard.type.DiagramInfo

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM